Public Attributes | List of all members
pwm_init_t Struct Reference
Peripheral Driver » HAL Driver » PWM » Structures » PWM Configuration

PWM init Structure definition. More...

`#include <gr55xx_hal_pwm.h>`

Collaboration diagram for pwm_init_t:
[legend]

## Public Attributes
uint32_t | mode
| Specifies the PWM output mode state. More...
uint32_t | align
| Specifies the PWM alignment mode with three channels This parameter can be a value of PWM Pulses Aligned Mode. More...
uint32_t | freq
| Specifies the PWM frequency. More...
uint32_t | bperiod
| Specifies the PWM breath period in breath mode. More...
uint32_t | hperiod
| Specifies the PWM hold period in breath mode. More...
uint32_t | bstoplvl
| Specifies the PWM io level when stop. More...
pwm_channel_init_t | channel_a
| Specifies the configuration parameters of channel A. More...
pwm_channel_init_t | channel_b
| Specifies the configuration parameters of channel B. More...
pwm_channel_init_t | channel_c
| Specifies the configuration parameters of channel C. More...

## Detailed Description

PWM init Structure definition.

Definition at line 129 of file gr55xx_hal_pwm.h.

## Member Data Documentation

## ◆ align

uint32_t pwm_init_t::align

Specifies the PWM alignment mode with three channels This parameter can be a value of PWM Pulses Aligned Mode.

Definition at line 134 of file gr55xx_hal_pwm.h.

## ◆ bperiod

uint32_t pwm_init_t::bperiod

Specifies the PWM breath period in breath mode.

Unit: ms. This parameter must be a number between 0 ~ 0xFFFFFFFF/SystemFreq*1000.

Definition at line 140 of file gr55xx_hal_pwm.h.

## ◆ bstoplvl

uint32_t pwm_init_t::bstoplvl

Specifies the PWM io level when stop.

This parameter can be a value of PWM Stop Level

Definition at line 146 of file gr55xx_hal_pwm.h.

## ◆ channel_a

pwm_channel_init_t pwm_init_t::channel_a

Specifies the configuration parameters of channel A.

Definition at line 149 of file gr55xx_hal_pwm.h.

## ◆ channel_b

pwm_channel_init_t pwm_init_t::channel_b

Specifies the configuration parameters of channel B.

Definition at line 151 of file gr55xx_hal_pwm.h.

## ◆ channel_c

pwm_channel_init_t pwm_init_t::channel_c

Specifies the configuration parameters of channel C.

Definition at line 153 of file gr55xx_hal_pwm.h.

## ◆ freq

uint32_t pwm_init_t::freq

Specifies the PWM frequency.

This parameter must be a number between 0 ~ SystemFreq/2 (max = 32Mhz).

Definition at line 137 of file gr55xx_hal_pwm.h.

## ◆ hperiod

uint32_t pwm_init_t::hperiod

Specifies the PWM hold period in breath mode.

Unit: ms. This parameter must be a number between 0 ~ 0xFFFFFF/SystemFreq*1000.

Definition at line 143 of file gr55xx_hal_pwm.h.

## ◆ mode

uint32_t pwm_init_t::mode

Specifies the PWM output mode state.

This parameter can be a value of PWM Mode

Definition at line 131 of file gr55xx_hal_pwm.h.

The documentation for this struct was generated from the following file:

- gr55xx_hal_pwm.h